import { type Notif } from './messages.js';
export type DFrameContentOptions = {
    updateSrc?: (src: string, instance: DFrameContent) => void;
};
declare global {
    interface Window {
        __d_frame__content: DFrameContent;
    }
}
export default class DFrameContent {
    initialized: boolean;
    options: DFrameContentOptions;
    private pendingCheckHeight;
    debug: boolean;
    id?: string;
    private throttledCheckHeight?;
    private lastHeight;
    constructor(options?: DFrameContentOptions);
    log(level: 'debug' | 'info' | 'error', ...args: any[]): void;
    private onMessage;
    private postMessageToParent;
    sendNotif(notif: Notif): void;
    sendMessage(msg: any): void;
    ready(): void;
    private currentSyncedMouseEvents;
    private initMouseEvents;
    private transmitSyncedMouseEvent;
    private applySyncedMouseEvent;
    private initResize;
    private initStateChangeWatcher;
    private createMutationObserver;
    private createWindowEventListeners;
    private checkHeight;
}
