import { type ParentMessage } from './messages.js';
export interface StateChangeAdapter {
    stateChange(action: 'push' | 'replace', newUrl: URL, element: DFrameElement): void;
    onStateChange(callback: () => void): void;
}
export declare class DFrameElement extends HTMLElement {
    get id(): string;
    set id(value: string);
    get debug(): boolean;
    set debug(value: boolean);
    get src(): string;
    set src(value: string);
    get fullSrc(): string;
    get aspectRatio(): string | null;
    set aspectRatio(value: string | null);
    get height(): string | null;
    set height(value: string | null);
    set resize(value: "auto" | "yes" | "no");
    get resize(): 'auto' | 'yes' | 'no';
    get syncParams(): string | null;
    set syncParams(value: string | null);
    get syncPath(): string | null;
    set syncPath(value: string | null);
    get stateChangeEvents(): boolean;
    set stateChangeEvents(value: boolean);
    get readyMessage(): boolean;
    set readyMessage(value: boolean);
    get mouseEvents(): string[] | null;
    set mouseEvents(value: string[] | null);
    get reload(): string;
    set reload(value: string);
    adapter: StateChangeAdapter;
    windowAdapter: StateChangeAdapter;
    private connected;
    private childInitialized;
    private currentChildSrc;
    private parsedSyncParams;
    private wrapperElement;
    private slotElement;
    private iframeElement;
    private width;
    private aspectRatioHeight;
    private resizedHeight;
    private randomId;
    private iframeLoaded;
    private ready;
    private iframeExtraAttrs;
    private resizeObserver;
    private boundOnMessage;
    private mouseEventListeners;
    get actualAspectRatio(): number;
    constructor();
    onMessage(e: MessageEvent): void;
    postMessageToChild(message: ParentMessage): void;
    updateSrc(): void;
    updateStyle(): void;
    updateAspectRatioHeight(): void;
    updateIframeExtraAttrs(): void;
    private currentSyncedMouseEvents;
    private initMouseEvents;
    private transmitSyncedMouseEvent;
    private applySyncedMouseEvent;
    log(level: 'debug' | 'info' | 'error', ...args: any[]): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    static get observedAttributes(): string[];
    attributeChangedCallback(name: string, oldValue: any, newValue: any): void;
}
export default DFrameElement;
