export type MouseEventMessage = ['df-global', 'mouse', MouseEvent['type'], Pick<MouseEvent, 'altKey' | 'ctrlKey' | 'shiftKey' | 'metaKey'>];
export declare function isMouseEventMessage(message: any): message is MouseEventMessage;
export type InitChildMessage = ['df-child', 'init'];
export type HeightMessage = ['df-child', 'height', number];
export type StateChangeMessage = ['df-child', 'stateChange', 'replace' | 'push', string];
export type CustomMessage = ['df-child', 'custom', any];
export type NotifMessage = ['df-child', 'notif', Notif];
export type ReadyMessage = ['df-child', 'ready'];
export type ChildMessage = InitChildMessage | HeightMessage | StateChangeMessage | CustomMessage | NotifMessage | MouseEventMessage | ReadyMessage;
export type Notif = {
    type: 'default' | 'info' | 'success' | 'warning' | 'error';
    title: string;
    detail?: string;
};
export declare function isInitChildMessage(message: any): message is InitChildMessage;
export declare function isHeightMessage(message: any): message is HeightMessage;
export declare function isStateChangeMessage(message: any): message is StateChangeMessage;
export declare function isCustomMessage(message: any): message is CustomMessage;
export declare function isNotifMessage(message: any): message is NotifMessage;
export declare function isReadyMessage(message: any): message is ReadyMessage;
export type InitParentMessage = [
    'df-parent',
    'init',
    {
        id: string;
        debug?: boolean;
        resize: 'yes' | 'no' | 'auto';
        syncParams: boolean;
        syncPath: boolean;
        stateChangeEvents: boolean;
        mouseEvents: null | string[];
        src: string | null;
    }
];
export type UpdateSrcMessage = ['df-parent', 'updateSrc', string];
export type ParentMessage = InitParentMessage | UpdateSrcMessage | MouseEventMessage;
export declare function isInitParentMessage(message: any[]): message is InitParentMessage;
export declare function isUpdateSrcMessage(message: any[]): message is UpdateSrcMessage;
