import DFrameContent from '../DFrameContent.js';
import { applySearchParams } from './util.js';
let dFrameContent = null;
export function VueReactiveDFrameContent(reactiveParams, options) {
    if (dFrameContent)
        return dFrameContent;
    dFrameContent = new DFrameContent({
        ...options,
        updateSrc: (src) => {
            const srcUrl = new URL(src);
            if (srcUrl.origin === window.location.origin && srcUrl.pathname === window.location.pathname) {
                applySearchParams(reactiveParams, srcUrl.searchParams);
            }
            else {
                window.location.href = src;
            }
        }
    });
    return dFrameContent;
}
export default VueReactiveDFrameContent;
