import { watch } from 'vue';
import { applySearchParams } from './util.js';
class VueReactiveDFrameStateChangeAdapter {
    reactiveParams;
    constructor(reactiveParams) {
        this.reactiveParams = reactiveParams;
    }
    stateChange(action, newUrl) {
        applySearchParams(this.reactiveParams, newUrl.searchParams);
    }
    onStateChange(callback) {
        watch(this.reactiveParams, callback);
    }
}
export default (reactiveParams) => new VueReactiveDFrameStateChangeAdapter(reactiveParams);
