class VueRouterDFrameStateChangeAdapter {
    router;
    constructor(router) {
        this.router = router;
    }
    stateChange(action, newUrl, element) {
        // @ts-ignore vue-router v2
        const base = this.router.options?.base ?? this.router.options.history?.base;
        if (base === null || base === undefined) {
            throw new Error('failed to access base path in router (no router.options.base nor router.options.history.base)');
        }
        const urlPrefix = window.location.origin + base;
        if (!newUrl.href.startsWith(urlPrefix)) {
            throw new Error('new URL does not start with base path');
        }
        let newRoute = newUrl.href.replace(urlPrefix, '');
        if (!newRoute.startsWith('/'))
            newRoute = '/' + newRoute;
        element.log('debug', 'apply state change on vue.router', action, newRoute);
        if (action === 'push')
            this.router.push(newRoute);
        if (action === 'replace')
            this.router.replace(newRoute);
    }
    onStateChange(callback) {
        this.router.afterEach(callback);
    }
}
export default (router) => new VueRouterDFrameStateChangeAdapter(router);
